Warning, /utilities/rsibreak/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)
0002 
0003 project( rsibreak )
0004 
0005 set(QT_MIN_VERSION "5.12.0")  # Remember to update the QT_DEPRECATED_WARNINGS_SINCE below
0006 set(KF5_REQUIRED_VERSION "5.68.0") # Remember to update the KF_DEPRECATED_WARNINGS_SINCE below
0007 
0008 find_package(ECM ${KF5_REQUIRED_VERSION} REQUIRED CONFIG)
0009 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
0010 
0011 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus)
0012 find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
0013     Config
0014     ConfigWidgets
0015     Crash
0016     DBusAddons
0017     DocTools
0018     I18n
0019     IdleTime
0020     Notifications
0021     NotifyConfig
0022     TextWidgets
0023     XmlGui
0024     WindowSystem
0025     )
0026 
0027 include(KDEInstallDirs)
0028 include(KDECompilerSettings NO_POLICY_SCOPE)
0029 include(KDECMakeSettings)
0030 include(FeatureSummary)
0031 include(ECMAddAppIcon)
0032 include(ECMInstallIcons)
0033 include(KDEClangFormat)
0034 include(KDEGitCommitHooks)
0035 
0036 add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x050C00)
0037 add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x054400)
0038 
0039 add_subdirectory( icons )
0040 add_subdirectory( doc )
0041 add_subdirectory( src )
0042 
0043 include(CTest)
0044 
0045 if(BUILD_TESTING)
0046   enable_testing()
0047   add_subdirectory( test )
0048 endif()
0049 
0050 ki18n_install(po)
0051 kdoctools_install(po)
0052 
0053 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
0054 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
0055 
0056 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
0057 
0058 
0059 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)